<?php
	require("../__common__/__define_common.php");
	require("__define.php");
	require("../__common__/include-common-all.php");
//	require("../account/__logincheck.php");
	if (RSS_SIMPLEXML_LOAD_USE == 'YES') {
		require("__include-common-rss-simplexml.php");
	} else {
		require("__include-common-rss.php");
		require("magpierss/rss_fetch.inc");
	}
	mb_language("Japanese");
	mb_internal_encoding('UTF-8');

//	my_session_start();			// session_start()をコールするとブラウザが待ちになる。

	$con = my_mysql_connect(_DB_SCHEMA);
	$sql = "select * from v_rss where c_delete = 0 and id_account = '" . $_COOKIE['current_id'] . "'";
	$sql .= " and id_rss = " . intval($_GET['id']);
	if ($_COOKIE['current_id'] != $_COOKIE['login_id']) {
		$sql .= " and c_privacy = 0";
	}
	$rs = my_mysql_query($sql);
	if ($rec = mysql_fetch_array($rs)) {
		rss_view($rec, $_GET['width'], $_GET['pop']);
	}
?>
